<?php

$tempFolder = "/"; //ide másolja az FTP applet a fájlt 
$storeFolder = "/home/cadline/public_html/website/public/projects/"; //mi itt szeretnénk tárolni

//  ha java-val:
if( isset($_POST["tempFilenameField"]) ){
	$tempFilename = $_POST["tempFilenameField"]; //ezen a néven kerül feltöltésre a fájl (pl. 123456.file)
	$originalFilename = $_POST["originalFilenameField"]; //ez volt az eredeti neve (pl. szoveg.doc)
	$storeFilename = time()."_".$originalFilename;  //ezen a neven taroljuk mi (pl. 2347686323_szoveg.doc)
}
//  ha egyszerűsítve:
else if ($_FILES["originalFilenameField"]["error"]==0){
	
	$feltolt_konyvtar = $storeFolder;
	
	$storeFilename=time()."_". $_FILES["originalFilenameField"]["name"];
		
	$error = "";
	/* Kiterjesztés ellenőrzése
	
	$mi = $_FILES['originalFilenameField']['name']."$";
		
	$mire = "\.bmp|\.jpg|\.jpeg|\.png|\.gif|\.tif|\.BMP|\.JPG|\.PNG|\.GIF";
	if( !(ereg( $mire , $mi )) ){
		$error .= "Hibás fájl kiterjesztés, elfogadott kiterjesztések: .bmp, .jpg, .png, .gif<br />";
	}*/
	
	else if( $this->input->post('hsz') != "" && !$error){
		if (copy($_FILES["originalFilenameField"]["tmp_name"],$storeFilename)){
			$prFile = $storeFilename;
			$mit = $storeFolder."/".$kep;
			chmod($mit,0777);
			$prSize = $_FILES['originalFilenameField']['size'];
			$tempFilename = $_FILES["originalFilenameField"]["tmp_name"];
		}else{
		$prFile = "NULL";
		}
	}
}
  
  
$tempPath= $tempFolder.$tempFilename;
$storePath = $storeFolder.$storeFilename;



  //DEBUG:
  print "<pre>";
  print_r ($_POST);
  print "tempFilename: <b>$tempFilename</b>\n";
  print "originalFilename: <b>$originalFilename</b>\n";
  print "storedFilename: <b>$storedFilename</b>\n";
  print "tempFolder: <b>$tempFolder</b>\n";
  print "storeFolder: <b>$storeFolder</b>\n";
  print "tempPath: <b>$tempPath</b>\n";
  print "storePath: <b>$storePath</b>\n";

  print "</pre>";

  if ((strlen($tempFilename) < 3) || (strlen($originalFilename) < 3))
    die ("Hibás fáljnevek!");

	if (!rename($tempPath,$storePath)) 
    die ("Nem sikerül a helyére másolni a feltöltött fájlt!");
  
  print "<h1>Sikeres feltöltés ($originalFilename)</h1>";

?>